'use client'

import { Button, Modal, ModalBody, ModalContent, ModalFooter, ModalHeader } from '@nextui-org/react';
import useDragAndDrop from '@/feature/messenger/hooks/useDragAndDrop';
import { useId } from 'react';
import { Trash, X } from 'react-feather';


const ModalFilesDrop = () => {

    const key = useId();
    const { openModal,
        setModalDrop,
        fileList,
        formatFileSize,
        handleRemoveFile,
        handleSubmit,
        loading } = useDragAndDrop();

    const closeBtn = (
        <button className="close" onClick={() => setModalDrop(!openModal)}>
            <X size={20} />
        </button>
    );
    return (
        <Modal isOpen={openModal} onOpenChange={() => setModalDrop(!openModal)} size='lg'>
            <ModalContent>
                    {(onClose) => (
                        <>
                        <ModalHeader>
                            Adjuntar archivos
                        </ModalHeader>
                        <ModalBody>
                        <div>
                            <ol className="list-group list-group-numbered custom-scroll" style={{ maxHeight: '350px', overflow: 'auto' }}>
                                {fileList.map((file, index) => (
                                    <li className="flex justify-between items-center p-2 m-1 border border-default-100" key={file.name}>
                                        <div className="">
                                            <div className="">
                                                <strong>{file.name}</strong>
                                            </div>
                                            <small>{formatFileSize(file.size)}</small>
                                        </div>
                                        <Button color="default" variant="ghost" className="min-w-12 min-h-12 size-12 p-0" onClick={() => handleRemoveFile(index)}>
                                            <Trash />
                                        </Button>
                                    </li>
                                ))}
                            </ol>
                        </div>
                        </ModalBody>
                        <ModalFooter>
                            <Button color="primary" isLoading={loading} onPress={handleSubmit}>
                                {loading ? 'Enviando...' : 'Enviar'}
                            </Button>
                        </ModalFooter>
                        </>
                    )}
                </ModalContent>
        </Modal>
    )
}

export default ModalFilesDrop